
package org.dvb.application.storage;

/** 

  * Thrown if the request to install an application was rejected.
  * This includes both rejection by the end user and rejection by
  * an ApplicationStorageHandler.




  *
  * @since MHP1.1
  */

public class UserRejectedInstallException extends Exception {

    /**
      * Constructs a <code>UserRejectedInstallException</code> with no detail
      * message.
      */
    public UserRejectedInstallException() {
	super();
    }

    /** 
      * Constructs a <code>UserRejectedInstallException</code> with a detail
      * message
      *
      * @param s detail message
      */  
    public UserRejectedInstallException(String s) {
	super(s);
    }
}


