/*
 * UnsupportedCallbackException.java
 *
 * Created on 28 janvier 2005, 15:28
 */

package org.dvb.auth.callback;

/**
 * Thrown when a callback handler is asked to handle a callback
 * which it cannot handle.
 */
public class UnsupportedCallbackException extends java.lang.Exception {
    
    /**
     * Creates a new instance of <code>UnsupportedCallbackException</code> without detail message.
     * @param callback the callback which cannot be handled
     */
    public UnsupportedCallbackException(Callback callback) {
    }
    
    
    /**
     * Constructs an instance of <code>UnsupportedCallbackException</code> with the specified detail message.
     * @param callback the callback which cannot be handled
     * @param msg the detail message.
     */
    public UnsupportedCallbackException(Callback callback, String msg) {
        super(msg);
    }
    
    /**
     * Returns the Callback passed in to the constructor.
     * @return a callback
     */

    public Callback getCallback()
    {
        return(null);
    }
    
}

