package org.dvb.service.sds;

/**
 * This interface is implemented by applications wishing to receive notification
 * of changes to SD&S records
 */

public interface SDSRecordChangeListener extends java.util.EventListener
{
	/**
	 * Notification of a change in either an SDS Service Provider or Service Offering record
	 * @param event the event that caused the change
	 */
	public void notifyChange(SDSRecordChangeEvent event);
}

