
package org.dvb.spi.selection;

/** 
 * A service that is reachable through a SelectionProvider.
 *
 * @since MHP 1.1.3
 **/

public class SelectionService {

    /**
     * Construct a SelectionService object
     * @param serviceLocator  The reference to the underlying service.
     * @param transportDependentReference
     *			      The reference used to actually tune this service
     * @param name	      The name of this service. 
     * @see javax.tv.service.Service#getName()
     **/

    public SelectionService(javax.tv.locator.Locator serviceLocator,
    			    ServiceReference transportDependentReference,
			    String name)
    {
    }

    /**
     * Get the locator to a service.  This is the locator reported through
     * the Java TV APIs.
     *			      This can be a transport-independent locator,
     *			      such as a dvb: locator without a transport ID,
     *			      or it can be the same transport-dependent locator
     *			      as transportDependentReference.getLocator().
     *
     * @return The service locator
     **/
    public javax.tv.locator.Locator getServiceLocator() {
	return null;
    }

    /**
     * Give the (opaque) reference to this service, as understood by the
     * provider.
     *
     * @return the transport dependent reference
     **/
    public ServiceReference getTransportDependentReference() {
	return null;

    }

    /**
     * Get the name of this service
     *
     * @return the name
     **/
    public String getName() {
	return null;

    }

}

