package org.dvb.tvanytime.metadata;

/**
* Represents a piece of text, along with the language in which the text is 
* written. 
*/
public abstract interface Mpeg7Text   {

/**
* Get the language of this textual item.
* @return the Locale for the language used by this textual item 
*/
  public  abstract java.util.Locale getLanguage(
  ) ;

/**
* Get the contents of this textual item.
* @return the contents of this textual item 
*/
  public  abstract java.lang.String getText(
  ) ;

}


