package org.dvb.tvanytime.metadata.ip;

/**
* Class providing access to a Broadband Content Guide delivered using the unicast delivery method specified in ETSI TS 102 034 V1.2.1.
*/
public abstract class HTTPDatabase implements org.dvb.tvanytime.metadata.Database {

/**
* This constructor is provided for implementations and should not be used by GEM applications.
*/
  public HTTPDatabase() {}

/**
* Get an instance of an HTTPDatabase where the caller chooses the server. 
* @param path a URL that points to the metadata server.
* @return an HTTPDatabase
* @throws org.dvb.tvanytime.metadata.DatabaseException if the platform is unable to connect to the remote server.
*/
  public static   org.dvb.tvanytime.metadata.ip.HTTPDatabase newInstance(java.lang.String path)  throws org.dvb.tvanytime.metadata.DatabaseException {
    return (null);
  }

  /**
   * Get the URL of the host providing this HTTPDatabase. 
   * @return the URL
   */
 public org.davic.net.Locator getURL() {
    return null;
 }
 
}



