package org.dvb.tvanytime.metadata.ip;

import org.dvb.tvanytime.metadata.DatabaseException;
import org.dvb.tvanytime.metadata.DatabaseQueryResult;

/**
* Class providing access to a Broadband Content Guide delivered using the multicast delivery method specified in ETSI TS 102 034 V1.2.1. 
*/
public abstract class MulticastDatabase implements org.dvb.tvanytime.metadata.MonitoredDatabase {

  /**
   * This constructor is provided for implementations and should not be used by GEM applications.
   */
  public MulticastDatabase() {}

 /**
   * Get an instance of a MulticastDatabase where the caller chooses the server. 
   * @param path a URL that points to the metadata server.
   * @return a MulticastDatabase
   * @throws org.dvb.tvanytime.metadata.DatabaseException if the platform is unable to locate the metadata service.
   */
  public static   org.dvb.tvanytime.metadata.ip.MulticastDatabase newInstance(java.lang.String path) throws org.dvb.tvanytime.metadata.DatabaseException {
    return (null);
  }

  /**
   * Get the URL of the host providing this MulticastDatabase. 
   * @return the URL
   */
  public org.davic.net.Locator getURL() {
    return null;
  }
  
}



