package org.oipf.download;

/**
 * 
 * Thrown when an application calls methods on ApplicationDownloadRequest
 * 
 * which it is not permitted to call.
 **/

public class ApplicationDownloadException extends Exception {

   /**
    * 
    * Constructs a <code>ApplicationDownloadException</code> with
    * <code>null</code>
    * 
    * as its error detail message.
    */

   public ApplicationDownloadException() {

      super();

   }

   /**
    * 
    * Constructs a <code>ApplicationDownloadException</code> with the specified
    * detail
    * 
    * message. The error message string <code>s</code> can later be
    * 
    * retrieved by the <code>{@link java.lang.Throwable#getMessage}</code>
    * 
    * method of class <code>java.lang.Throwable</code>.
    * 
    * 
    * 
    * @param s
    *           the detail message.
    */

   public ApplicationDownloadException(String s) {

      super(s);

   }

}
