package org.dvb.media.monitoring;

import java.util.EventObject;

/**
 * The base class for all other events related to changes in associated CoD.
 * 
 */
public class MonitoringEvent extends EventObject {

   private static final long serialVersionUID = -8049216662531799204L;

   /**
    * Construct the event.
    * 
    * @param source
    *           the source of the event. The platform shall always pass in the
    *           JMF Player presenting the media whose property has been changed
    * 
    */
   protected MonitoringEvent(Object source) {
      super(source);
   }

}
