package org.dvb.media.monitoring;

/**
 * The listener used to receive MonitoringEvent.
 * 
 */
public interface MonitoringListener {
   /**
    * Receive a MonitoringEvent.
    * 
    * @param anEvent
    *           the MonitoringEvent that has been received
    */
   public void receiveMonitoringEvent(MonitoringEvent anEvent);
}
