package org.dvb.service;
/**
 * IP extensions to the JavaTV service information type
 */
public class IPServiceInformationType extends javax.tv.service.ServiceInformationType
{
	/**
	 * Creates a service information type object.
	 * @param name the string name of this type
	 */
	protected IPServiceInformationType( String name )
	{
		super(name);
	}

	/**
	 * Service information type for DVB SD&S
	 */
	public static final IPServiceInformationType SDandS = new IPServiceInformationType("SDandS");
	/**
	 * Service information type for DVB Broadband Content Guide
	 */
	public static final IPServiceInformationType BCG = new IPServiceInformationType("BCG");
}

