package org.dvb.service;

/**
 * Represents a service used to contain unbound applications.
 * @since MHP 1.2
 */
public interface UnboundApplicationService extends org.ocap.service.AbstractService,
org.dvb.application.storage.ApplicationStorageController 
{
 /**
  * Get the resource priority for this service between 0 and 255.
  * @return the resource priority for this service
  */
 public int getPriority();
 /**
  * Set the resource priority for this service between 0 and 255.
  * @param priority the resource priority for this service
  * @throws IllegalArgumentException if the priority is outside this
  * specified range
  */
  public void setPriority(int priority);
}




