
package org.dvb.spi.si.simple;

import org.dvb.spi.selection.ServiceReference;

/**
 * This class represents a reference to a program within a service
 * that is accessed using a SelectionProvider.
 *
 * @see org.dvb.spi.selection.SelectionProvider
 * @see SimpleSIProvider#getProgramReferences(org.dvb.spi.selection.ServiceReference)
 * @see ProgramDescription
 **/

public final class ProgramReference {

	/**
	 * Constructs a reference to a program.
	 * @param service the service containing the program
	 * @param programIdentifier an identifier for the program within the service
	 */
    public ProgramReference(ServiceReference service, String programIdentifier ) {
    }

	/**
	 * Get the service containing the program as passed to the constructor.
	 * @return a service
	 */
    public ServiceReference getServiceReference() {
	return null;
    }

	/**
	 * Get the identifier of the program.
	 * @return a program identifier
	 */
    public String getProgramIdentifier() {
	return null;
    }

}

