package org.dvb.tvanytime.metadata;

/**
* Class representing a database that contains TV-Anytime metadata associated
* with content that has been recorded and is currently stored by the device. It will contain 
* the TV Anytime programme information metadata for every complete recorded programme. 
* It may contain metadata for partially recorded programmes (e.g. a recording where only a 
* segment of the whole programme has been recorded). It may contain the group and segmentation 
* information associated with recorded programmes.
*/
public abstract class StoredContentDatabase  implements org.dvb.tvanytime.metadata.Database {

/**
* This constructor is provided for implementations and should not be used by GEM applications.
*/	
  protected StoredContentDatabase() {}

//Methods 

/**
* Get an instance of the StoredContentDatabase.
* @return an instance of the StoredContentDatabase
* @throws DatabaseException if a StoredContentDatabase is not available
*/
  public static   org.dvb.tvanytime.metadata.StoredContentDatabase getInstance() throws org.dvb.tvanytime.metadata.DatabaseException {
    return (null);
  }

}



